﻿using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace CloseAbout.ViewModels
{
	public class MainWindowViewModel: ViewModelBase
	{
		private AboutViewModel aboutVm;
		public AboutViewModel AboutVM
		{
			get { return this.aboutVm;  }
			private set
			{
				this.aboutVm = value;
				RaisePropertyChanged("AboutVM");
			}
		}

		ViewModelLocator _vmLocator = null;


		public MainWindowViewModel()
		{
			_vmLocator = new ViewModelLocator();
			AboutCommand = new RelayCommand(OnAboutCommandExecute, () => true);
			CloseAboutCommand = new RelayCommand(OnCloseAboutCommandExecute, () => true);
		}

		public RelayCommand AboutCommand
		{
			get;
			set;
		}

		public RelayCommand CloseAboutCommand
		{
			get;
			set;
		}


		private void OnAboutCommandExecute()
		{
			//We are creating a new profile
			AboutVM = this._vmLocator.AboutVM;
		}

		private void OnCloseAboutCommandExecute()
		{
			//We are creating a new profile
			AboutVM = null;
		}
		//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	}
}
