﻿/*
  For Windows only:
  
  In App.xaml:
  <Application.Resources>
      <vm:ViewModelLocator xmlns:vm="clr-namespace:CloseAbout"
                           x:Key="Locator" />
  </Application.Resources>
  
  In the View:
  DataContext="{Binding Source={StaticResource Locator}, Path=ViewModelName}"

  You can also use Blend to do all this with the tool's support.
  
  More details:
  See http://www.mvvmlight.net/installing/nuget
*/

using GalaSoft.MvvmLight.Ioc;

namespace CloseAbout.ViewModels
{
	public class ViewModelLocator
	{
		public ViewModelLocator()
		{

		}
		static ViewModelLocator()
		{
			SimpleIoc.Default.Register<AboutViewModel>();
            SimpleIoc.Default.Register<MainWindowViewModel>();
		}

		/// <summary>
		/// Gets the MainWindowVM property.
		/// </summary>
		[System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Performance",
			"CA1822:MarkMembersAsStatic",
			Justification = "This non-static member is needed for data binding purposes.")]
		public MainWindowViewModel MainWindowVM
		{
			get
			{
				return SimpleIoc.Default.GetInstance<MainWindowViewModel>();
			}
		}

		/// <summary>
		/// Gets the AboutVM Property.
		/// </summary>
		[System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Performance",
			"CA1822:MarkMembersAsStatic",
			Justification = "This non-static member is needed for data binding purposes.")]
		public AboutViewModel AboutVM
		{
			get
			{
				return SimpleIoc.Default.GetInstance<AboutViewModel>();
			}
		}


		//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	}
}
